Bug 1947293 - IPv6 provision addresses range larger then /64 prefix (e.g. /48)
Summary: IPv6 provision addresses range larger then /64 prefix (e.g. /48)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Caleb Boylan
QA Contact: Rei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-08 07:33 UTC by Rei
Modified: 2021-07-27 22:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Insufficient checks and information about the ProvisioningNetworkCIDR Consequence: Misconfiguration Fix: Add documentation to the effect that "ProvisioningNetworkCIDR value in the Provisioning CR should be provided such that IPv6 provisioning networks cannot be larger than a /64 due to a limitation in dnsmasq." Result:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:57:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-baremetal-operator pull 145 0 None open Bug 1947293: Document ipv6 provisioning network size limitation 2021-05-20 18:52:52 UTC
Red Hat Bugzilla 1925291 1 high CLOSED Baremetal IPI - While deploying with IPv6 provision network with subnet other than /64 masters fail to PXE boot 2021-07-27 22:42:14 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:58:16 UTC

Description Rei 2021-04-08 07:33:42 UTC
Version:

4.7

Platform:

libvirt

Please specify:
* IPI (automated install with `openshift-install`. If you don't know, then it's IPI)

What happened?

We have this bug before https://bugzilla.redhat.com/show_bug.cgi?id=1925291 that prevent us to deploy OCP with provision network addresses range smaller then /64 (e.g /118) This bug has been solved so we check the opposite case that we define provision network addresses range larger then /64  (e.g /48). this test has been failed in the automation.



What did you expect to happen?

We want to know if there is a reason to support range larger then /64 and if not we need to document this


How to reproduce it (as minimally and precisely as possible)?
Deploy OCP with provision network addresses range larger then /64 (e.g /48)

Comment 1 Caleb Boylan 2021-05-17 18:06:30 UTC
I reproduced this and the failure is in dnsmasq:

    dnsmasq: prefix length must be at least 64 at line 10 of /etc/dnsmasq.conf

This seems to be a limitation of dnsmasq and ipv6, from the man page:

> For  IPv6,  the  parameters are slightly different: instead of netmask and broadcast address, there is an optional prefix length which must
> be equal to or larger then the prefix length on the local interface. If not given, this defaults to 64. Unlike
> the IPv4 case, the prefix length is not automatically derived from the interface configuration. The minimum size of the prefix length is 64.

As far as I can tell there is no simple way to work around this limitation so I think it's best to document for now.

Comment 3 Rei 2021-06-01 04:03:09 UTC
I read the description /lgtm

Comment 4 Rei 2021-06-01 04:03:35 UTC
I read the description /lgtm

Comment 7 errata-xmlrpc 2021-07-27 22:57:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.